Loading...
Searching...
No Matches
RDKit::v2::ReactionParser::ReactionSmartsParserParams Struct Reference

`#include <ReactionParser.h>`

## Public Attributes

bool | sanitize = false
std::map< std::string, std::string > | replacements
bool | allowCXSMILES = true
bool | strictCXSMILES

## Detailed Description

Definition at line 74 of file ReactionParser.h.

## Member Data Documentation

## allowCXSMILES

bool RDKit::v2::ReactionParser::ReactionSmartsParserParams::allowCXSMILES = true

recognize and parse CXSMILES

Definition at line 78 of file ReactionParser.h.

## replacements

std::map<std::string, std::string> RDKit::v2::ReactionParser::ReactionSmartsParserParams::replacements

allows SMILES "macros"

Definition at line 77 of file ReactionParser.h.

## sanitize

bool RDKit::v2::ReactionParser::ReactionSmartsParserParams::sanitize = false

sanitize the molecules after building them

Definition at line 75 of file ReactionParser.h.

## strictCXSMILES

bool RDKit::v2::ReactionParser::ReactionSmartsParserParams::strictCXSMILES

Initial value:
=
true

throw an exception if the CXSMILES parsing fails

Definition at line 79 of file ReactionParser.h.

The documentation for this struct was generated from the following file:

- ReactionParser.h